Skip to main content
`Ctrl`+`K`

# MatLMVMSetJ0PC

Allows the user to define a `PC` object that acts as the initial inverse-Jacobian matrix.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0PC(Mat B, PC J0pc)

## Input Parameters

- B - A `MATLMVM` matrix

- J0pc - `PC` object where `PCApply()` defines an inverse application for J0

## Notes

`J0pc` should already contain all the operators necessary for its application. The `MATLMVM` matrix only calls `PCApply()` without changing any other options.

If the sizes of `B` have not been specified (using `MatSetSizes()` or `MatSetLayouts()`) before `MatLMVMSetJ0PC()` is called, then `B` will adopt the sizes and layouts of the operators of `J0pc`, and these sizes will be final.

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMGetJ0PC()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages